# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import netfields.fields
import coin.validation


class Migration(migrations.Migration):

    dependencies = [
        ('vpn', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='vpnconfiguration',
            name='comment',
            field=models.CharField(max_length=512, verbose_name=b'commentaire', blank=True),
        ),
        migrations.AlterField(
            model_name='vpnconfiguration',
            name='ipv4_endpoint',
            field=netfields.fields.InetAddressField(validators=[coin.validation.validate_v4], max_length=39, blank=True, help_text=b'Addresse IPv4 utilis\xc3\xa9e par d\xc3\xa9faut sur le VPN', null=True, verbose_name=b'IPv4'),
        ),
        migrations.AlterField(
            model_name='vpnconfiguration',
            name='ipv6_endpoint',
            field=netfields.fields.InetAddressField(validators=[coin.validation.validate_v6], max_length=39, blank=True, help_text=b'Addresse IPv6 utilis\xc3\xa9e par d\xc3\xa9faut sur le VPN', null=True, verbose_name=b'IPv6'),
        ),
        migrations.AlterField(
            model_name='vpnconfiguration',
            name='login',
            field=models.CharField(help_text=b'leave empty for automatic generation', unique=True, max_length=50, verbose_name=b'identifiant', blank=True),
        ),
    ]
